# Default values for career-ms.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  registry: talenteoregistry.azurecr.io
  repository: career-ms
  pullPolicy: Always
  imageTag: latest

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""


springCloudConfigUri: http://talenteo-config-server-int:2001
springProfilesActive: int,azure-vault

# elasticsearchHost: "elasticsearch-master.talenteo-int.svc.cluster.local"
# elasticsearchPort: 9200

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true

  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 8094

# ingress:
#   enabled: true
#   annotations: 
#     kubernetes.io/ingress.class: nginx
#     cert-manager.io/cluster-issuer: letsencrypt
#   hosts:
#     - host: dev.talenteo-platform.fr
#       paths: [/]
#   tls: 
#     - secretName: tls-secret
#       hosts:
#       - dev.talenteo-platform.fr 

ingress:
  enabled: true
  annotations: {kubernetes.io/ingress.class: nginx, nginx.ingress.kubernetes.io/rewrite-target: /$2, nginx.ingress.kubernetes.io/x-forwarded-prefix: /career-ms}
  hosts:
    - host: int.talenteo-platform.fr
      paths: [/career-ms(/|$)(.*)]
  userHttpRules: false
  https:
    - paths: /career-ms(/|$)(.*)
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
  #  limits:
  #    cpu: 200m
  #    memory: 512Mi
  #  requests:
  #    cpu: 100m
  #    memory: 256Mi

# autoscaling: 
#   enabled: true
#   minReplicas: 1
#   maxReplicas: 2
#   targetCPUUtilizationPercentage: 80
#   # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
